Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core.jmx
Interface QuartzSchedulerMBean

All Known Implementing Classes:
  QuartzSchedulerMBeanImpl

    public interface QuartzSchedulerMBean

Field Summary
`static String` | `JOB_ADDED`
`static String` | `JOB_DELETED`
`static String` | `JOB_EXECUTION_VETOED`
`static String` | `JOB_SCHEDULED`
`static String` | `JOB_TO_BE_EXECUTED`
`static String` | `JOB_UNSCHEDULED`
`static String` | `JOB_WAS_EXECUTED`
`static String` | `JOBS_PAUSED`
`static String` | `JOBS_RESUMED`
`static String` | `SAMPLED_STATISTICS_ENABLED`
`static String` | `SAMPLED_STATISTICS_RESET`
`static String` | `SCHEDULER_ERROR`
`static String` | `SCHEDULER_PAUSED`
`static String` | `SCHEDULER_SHUTDOWN`
`static String` | `SCHEDULER_STARTED`
`static String` | `TRIGGER_FINALIZED`
`static String` | `TRIGGERS_PAUSED`
`static String` | `TRIGGERS_RESUMED`

Method Summary
`void` | `addJob(String instanceId, CompositeData jobDetail, boolean replace)`
`void` | `deleteCalendar(String instanceId, String name)`
`boolean` | `deleteJob(String instanceId, String jobName, String jobGroupName)`
`TabularData` | `getAllJobDetails(String instanceId)`
`TabularData` | `getAllTriggers(String instanceId)`
`String[]` | `getCalendarNames(String instanceId)`
`TabularData` | `getCurrentlyExecutingJobs()`
`CompositeData` | `getJobDetail(String instanceId, String jobName, String jobGroupName)`
`String[]` | `getJobGroupNames(String instanceId)`
`String[]` | `getJobNames(String instanceId, String groupName)`
`long` | `getJobsCompletedMostRecentSample()`
`long` | `getJobsExecutedMostRecentSample()`
`long` | `getJobsScheduledMostRecentSample()`
`String` | `getJobStoreClassName()`
`Set<String>` | `getPausedTriggerGroups(String instanceId)`
`Map<String,Long>` | `getPerformanceMetrics()`
`String` | `getSchedulerInstanceId()`
`String` | `getSchedulerName()`
`String` | `getThreadPoolClassName()`
`int` | `getThreadPoolSize()`
`CompositeData` | `getTrigger(String instanceId, String triggerName, String triggerGroupName)`
`String[]` | `getTriggerGroupNames(String instanceId)`
`String[]` | `getTriggerNames(String instanceId, String triggerGroupName)`
`TabularData` | `getTriggersOfJob(String instanceId, String jobName, String jobGroupName)`
`int` | `getTriggerState(String instanceId, String triggerName, String triggerGroupName)`
`String` | `getVersion()`
`boolean` | `interruptJob(String instanceId, String jobName, String jobGroupName)`
`boolean` | `isSampledStatisticsEnabled()`
`boolean` | `isShutdown()`
`boolean` | `isStandbyMode()`
`boolean` | `isStarted()`
`void` | `pauseAllTriggers(String instanceId)`
`void` | `pauseJob(String instanceId, String jobName, String groupName)`
`void` | `pauseJobGroup(String instanceId, String jobGroupName)`
`void` | `pauseTrigger(String instanceId, String triggerName, String triggerGroupName)`
`void` | `pauseTriggerGroup(String instanceId, String groupName)`
`void` | `resumeAllTriggers(String instanceId)`
`void` | `resumeJob(String instanceId, String jobName, String jobGroupName)`
`void` | `resumeJobGroup(String instanceId, String jobGroupName)`
`void` | `resumeTrigger(String instanceId, String triggerName, String triggerGroupName)`
`void` | `resumeTriggerGroup(String instanceId, String groupName)`
`Date` | `scheduleJob(String instanceId, String jobName, String jobGroup, String triggerName, String triggerGroup)`
`void` | `setSampledStatisticsEnabled(boolean enabled)`
`void` | `shutdown()`
`void` | `standby()`
`void` | `start()`
`void` | `triggerJob(String instanceId, String jobName, String jobGroupName, Map<String,String> jobDataMap)`
`void` | `triggerJobWithVolatileTrigger(String instanceId, String jobName, String jobGroupName, Map<String,String> jobDataMap)`
`boolean` | `unscheduleJob(String instanceId, String triggerName, String triggerGroup)`

Field Detail

### SCHEDULER_STARTED

    static final String SCHEDULER_STARTED

See Also:
  Constant Field Values

### SCHEDULER_PAUSED

    static final String SCHEDULER_PAUSED

See Also:
  Constant Field Values

### SCHEDULER_SHUTDOWN

    static final String SCHEDULER_SHUTDOWN

See Also:
  Constant Field Values

### SCHEDULER_ERROR

    static final String SCHEDULER_ERROR

See Also:
  Constant Field Values

### JOB_ADDED

    static final String JOB_ADDED

See Also:
  Constant Field Values

### JOB_DELETED

    static final String JOB_DELETED

See Also:
  Constant Field Values

### JOB_SCHEDULED

    static final String JOB_SCHEDULED

See Also:
  Constant Field Values

### JOB_UNSCHEDULED

    static final String JOB_UNSCHEDULED

See Also:
  Constant Field Values

### JOBS_PAUSED

    static final String JOBS_PAUSED

See Also:
  Constant Field Values

### JOBS_RESUMED

    static final String JOBS_RESUMED

See Also:
  Constant Field Values

### JOB_EXECUTION_VETOED

    static final String JOB_EXECUTION_VETOED

See Also:
  Constant Field Values

### JOB_TO_BE_EXECUTED

    static final String JOB_TO_BE_EXECUTED

See Also:
  Constant Field Values

### JOB_WAS_EXECUTED

    static final String JOB_WAS_EXECUTED

See Also:
  Constant Field Values

### TRIGGER_FINALIZED

    static final String TRIGGER_FINALIZED

See Also:
  Constant Field Values

### TRIGGERS_PAUSED

    static final String TRIGGERS_PAUSED

See Also:
  Constant Field Values

### TRIGGERS_RESUMED

    static final String TRIGGERS_RESUMED

See Also:
  Constant Field Values

### SAMPLED_STATISTICS_ENABLED

    static final String SAMPLED_STATISTICS_ENABLED

See Also:
  Constant Field Values

### SAMPLED_STATISTICS_RESET

    static final String SAMPLED_STATISTICS_RESET

See Also:
  Constant Field Values

Method Detail

### getSchedulerName

    String getSchedulerName()

### getSchedulerInstanceId

    String getSchedulerInstanceId()

### isStandbyMode

    boolean isStandbyMode()

### isShutdown

    boolean isShutdown()

### getVersion

    String getVersion()

### getJobStoreClassName

    String getJobStoreClassName()

### getThreadPoolClassName

    String getThreadPoolClassName()

### getThreadPoolSize

    int getThreadPoolSize()

### getJobsScheduledMostRecentSample

    long getJobsScheduledMostRecentSample()

### getJobsExecutedMostRecentSample

    long getJobsExecutedMostRecentSample()

### getJobsCompletedMostRecentSample

    long getJobsCompletedMostRecentSample()

### getPerformanceMetrics

    Map<String,Long> getPerformanceMetrics()

### getCurrentlyExecutingJobs

    TabularData getCurrentlyExecutingJobs()
                                          throws SchedulerException

  Returns:
    TabularData of CompositeData:JobExecutionContext
  Throws:
    `SchedulerException`

### getAllJobDetails

    TabularData getAllJobDetails(String instanceId)
                                 throws SchedulerException

  Returns:
    TabularData of CompositeData:JobDetail
  Throws:
    `SchedulerException`
  See Also:
    `JobDetailSupport`

### getAllTriggers

    TabularData getAllTriggers(String instanceId)
                               throws SchedulerException

  Returns:
    TabularData of CompositeData:Trigger
  Throws:
    `SchedulerException`
  See Also:
    `TriggerSupport`

### getJobGroupNames

    String[] getJobGroupNames(String instanceId)
                              throws SchedulerException

  Throws:
    `SchedulerException`

### getJobNames

    String[] getJobNames(String instanceId,
                         String groupName)
                         throws SchedulerException

  Throws:
    `SchedulerException`

### getJobDetail

    CompositeData getJobDetail(String instanceId,
                               String jobName,
                               String jobGroupName)
                               throws SchedulerException

  Returns:
    CompositeData:JobDetail
  Throws:
    `SchedulerException`
  See Also:
    `JobDetailSupport`

### isStarted

    boolean isStarted()

### start

    void start()
               throws SchedulerException

  Throws:
    `SchedulerException`

### shutdown

    void shutdown()

### standby

    void standby()

### scheduleJob

    Date scheduleJob(String instanceId,
                     String jobName,
                     String jobGroup,
                     String triggerName,
                     String triggerGroup)
                     throws SchedulerException

  Throws:
    `SchedulerException`

### unscheduleJob

    boolean unscheduleJob(String instanceId,
                          String triggerName,
                          String triggerGroup)
                          throws SchedulerException

  Throws:
    `SchedulerException`

### interruptJob

    boolean interruptJob(String instanceId,
                         String jobName,
                         String jobGroupName)
                         throws UnableToInterruptJobException

  Throws:
    `UnableToInterruptJobException`

### triggerJob

    void triggerJob(String instanceId,
                    String jobName,
                    String jobGroupName,
                    Map<String,String> jobDataMap)
                    throws SchedulerException

  Throws:
    `SchedulerException`

### triggerJobWithVolatileTrigger

    void triggerJobWithVolatileTrigger(String instanceId,
                                       String jobName,
                                       String jobGroupName,
                                       Map<String,String> jobDataMap)
                                       throws SchedulerException

  Throws:
    `SchedulerException`

### deleteJob

    boolean deleteJob(String instanceId,
                      String jobName,
                      String jobGroupName)
                      throws SchedulerException

  Throws:
    `SchedulerException`

### addJob

    void addJob(String instanceId,
                CompositeData jobDetail,
                boolean replace)
                throws SchedulerException

  Throws:
    `SchedulerException`

### pauseJobGroup

    void pauseJobGroup(String instanceId,
                       String jobGroupName)
                       throws SchedulerException

  Throws:
    `SchedulerException`

### resumeJobGroup

    void resumeJobGroup(String instanceId,
                        String jobGroupName)
                        throws SchedulerException

  Throws:
    `SchedulerException`

### pauseJob

    void pauseJob(String instanceId,
                  String jobName,
                  String groupName)
                  throws SchedulerException

  Throws:
    `SchedulerException`

### resumeJob

    void resumeJob(String instanceId,
                   String jobName,
                   String jobGroupName)
                   throws SchedulerException

  Throws:
    `SchedulerException`

### getTriggerGroupNames

    String[] getTriggerGroupNames(String instanceId)
                                  throws SchedulerException

  Throws:
    `SchedulerException`

### getTriggerNames

    String[] getTriggerNames(String instanceId,
                             String triggerGroupName)
                             throws SchedulerException

  Throws:
    `SchedulerException`

### getTrigger

    CompositeData getTrigger(String instanceId,
                             String triggerName,
                             String triggerGroupName)
                             throws SchedulerException

  Throws:
    `SchedulerException`

### getTriggerState

    int getTriggerState(String instanceId,
                        String triggerName,
                        String triggerGroupName)
                        throws SchedulerException

  Throws:
    `SchedulerException`

### getTriggersOfJob

    TabularData getTriggersOfJob(String instanceId,
                                 String jobName,
                                 String jobGroupName)
                                 throws SchedulerException

  Throws:
    `SchedulerException`

### getPausedTriggerGroups

    Set<String> getPausedTriggerGroups(String instanceId)
                                       throws SchedulerException

  Throws:
    `SchedulerException`

### pauseAllTriggers

    void pauseAllTriggers(String instanceId)
                          throws SchedulerException

  Throws:
    `SchedulerException`

### resumeAllTriggers

    void resumeAllTriggers(String instanceId)
                           throws SchedulerException

  Throws:
    `SchedulerException`

### pauseTriggerGroup

    void pauseTriggerGroup(String instanceId,
                           String groupName)
                           throws SchedulerException

  Throws:
    `SchedulerException`

### resumeTriggerGroup

    void resumeTriggerGroup(String instanceId,
                            String groupName)
                            throws SchedulerException

  Throws:
    `SchedulerException`

### pauseTrigger

    void pauseTrigger(String instanceId,
                      String triggerName,
                      String triggerGroupName)
                      throws SchedulerException

  Throws:
    `SchedulerException`

### resumeTrigger

    void resumeTrigger(String instanceId,
                       String triggerName,
                       String triggerGroupName)
                       throws SchedulerException

  Throws:
    `SchedulerException`

### getCalendarNames

    String[] getCalendarNames(String instanceId)
                              throws SchedulerException

  Throws:
    `SchedulerException`

### deleteCalendar

    void deleteCalendar(String instanceId,
                        String name)
                        throws SchedulerException

  Throws:
    `SchedulerException`

### setSampledStatisticsEnabled

    void setSampledStatisticsEnabled(boolean enabled)

### isSampledStatisticsEnabled

    boolean isSampledStatisticsEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.